/*
 * Copyright (C) 1999-2000, Qute Corporation. All rights reserved.
 */

#ifndef _RESOURCE_H_
#define _RESOURCE_H_

/* resource common header */

#define RESID 0x5246		/*'FR'*/

#pragma pack(push,1)
typedef struct {
	WORD magic;	/* "FR" */
	WORD type;
	WORD size;  /* resource 'para' size (include header) */
	short id;	/* resource id */
} res_t;
#pragma pack(pop)

/* image resource */

#define RESID_IMAGE 0x4D42   /*'BM'*/

#define IMAGE_MONO 0
#define IMAGE_COLOR 1
#define IMAGE_COLORMASK 2
#define IMAGE_16COLOR  4
#define IMAGE_16PACKED 1
#define IMAGE_16TRANS  2


#pragma pack(push,1)
typedef struct {
        res_t header;
        BYTE width;     /* char count x */
        BYTE height;/* char count y */
        BYTE format;/* 0=mono, 1=4color, 2=3color+BG, 4..7=16color */
        BYTE reserve;
        BYTE clrtable[4]; /* not used in 16color image */
} res_image_t;
#pragma pack(pop)


/*  WORD pal_table[16];  palette table in 16color image
 *                       if format b1=1 (IMAGE_16TRANS), [0] not used
 */


#endif /* _RESOURCE_H_ */
